# IceMX::DispatchMetrics

## Overview

### class DispatchMetrics extends Metrics

Provides information on servant dispatch.

## Data Member Index

userException
  The number of dispatch that failed with a user exception.
size
  The size of the dispatch.
replySize
  The size of the dispatch reply.

## Data Members

### int userException;

The number of dispatch that failed with a user exception.

### long size;

The size of the dispatch. This corresponds to the size of the marshalled input parameters.

### long replySize;

The size of the dispatch reply. This corresponds to the size of the marshalled output and return parameters.